from django.conf.urls.defaults import *
from core.models import Scan


urlpatterns = patterns('core.views',
    url(r'^new/',
        'scan_new',
        {'template': 'core/scan_new.html'},
        name='core_scan_new'),
    url(r'^edit/(?P<scan_id>\d+)/$',
        'scan_edit',
        {'template': 'core/scan_edit.html'},
        name='core_scan_edit'),
    url(r'^run/(?P<scan_id>\d+)/$',
        'scan_run',
        {'template': 'core/scan_list.html'},
        name='core_scan_run'),
    url(r'^copy/(?P<scan_id>\d+)/$',
        'scan_copy',
        {'template': 'core/scan_list.html'},
        name='core_scan_copy'),
    url(r'^delete/(?P<scan_id>\d+)/$',
        'scan_delete',
        {'template': 'core/scan_list.html'},
        name='core_scan_delete'),
    url(r'^view/(?P<scan_id>\d+)/$',
        'scan_view',
        {'template': 'core/scan_view.html'},
        name='core_scan_view'),
    url(r'^results/(?P<result_id>\d+)/$',
        'result_view',
        {'template': 'core/result_view.html'},
        name='core_result_view'),
    url(r'^results/delete/(?P<result_id>\d+)/$',
        'result_delete',
        {'template': 'core/result_delete.html'},
        name='core_result_delete'),
    url(r'^$',
        'scan_list',
        {'template': 'core/scan_list.html'},
        name='core_scan_list'),
)
